header {
    background-color: var(--primary);
    padding: 1rem 0;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    margin: auto;
    font-family: 'Segoe UI', system-ui, sans-serif;
}

.nav-links {
    display: flex;
    align-items: center;
    gap: 1rem;
}

nav a {
    color: var(--text);
    text-decoration: none;
    margin-left: 1.5rem;
    transition: 0.3s;
}

.logo-container {
    display: flex;
    align-items: center;
    gap: 0.8rem;
}

.logo {
    height: 50px;
    width: 100px;
    border-radius: 12px;
    object-fit: cover;
}

.logo-container .name {
    font-weight: bold;
    font-size: 1.5rem;
    color: var(--text);
}

.cart-link {
    position: relative;
    display: inline-block;
}

.cart-link #cart-count {
    position: absolute;
    top: -8px;
    left: 15px;
    background-color: var(--accent);
    font-size: 0.7rem;
    font-weight: bold;
    padding: 2px 6px;
    border-radius: 50%;
    line-height: 1;
}

.theme-button {
    border: 2px solid var(--accent);
    color: var(--text);
    border-radius: 6px;
    padding: 5px 10px;
    width: 40px;
    text-align: center;
    cursor: pointer;
    font-size: 1rem;
    transition: 0.3s;
}

nav a:hover {
    color: var(--text-other);
}

.hamburger {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 25px;
    height: 20px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding: 0;
    z-index: 5;
}

.hamburger span {
    display: block;
    height: 3px;
    width: 100%;
    background-color: var(--text);
    border-radius: 3px;
    transition: all 0.4s ease;
}

.hamburger.active span:nth-child(1) {
    transform: rotate(45deg);
}

.hamburger.active span:nth-child(2) {
    opacity: 0;
}

.hamburger.active span:nth-child(3) {
    transform: rotate(-45deg);
}

@media (max-width: 820px) {
    .hamburger {
        display: flex;
    }

    .nav-links {
        position: absolute;
        top: 85px;
        right: 10px;
        background-color: var(--primary);
        flex-direction: column;
        width: 150px;
        padding: 1rem;
        gap: 1rem;
        display: none;
        border-radius: 8px;
        box-shadow: -2px 2px 10px rgba(0,0,0,0.2);
        transition: transform 0.4s ease;
        transform: translateX(100%);
        z-index: 3;
    }

    .nav-links.show {
        display: flex;
        transform: translateX(0);
    }
}